FastStringPrintWriter (Grails 6.0.0)

Package: org.grails.buffer

## [Java] Class FastStringPrintWriter

- org.grails.buffer.FastStringPrintWriter

-     public class FastStringPrintWriter
      extends GrailsPrintWriterAdapter

  Fast in-memory PrintWriter implementation.

  Authors:
    Lari Hotari
  Since:
    2.0

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private static org.slf4j.Logger` | `LOG` |
    `private static org.springframework.objenesis.instantiator.ObjectInstantiator` | `instantiator` |
    `private StreamCharBuffer` | `streamBuffer` |

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class GrailsPrintWriterAdapter` | `LOG, instantiator, target`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `FastStringPrintWriter ()`
    `FastStringPrintWriter (int initialChunkSize)`
    `protected FastStringPrintWriter (java.lang.Object o)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public StreamCharBuffer` | `getBuffer()`
    `` | `public java.io.Reader` | `getReader()`
    `` | `public java.lang.String` | `getValue()`
    `` | `public static FastStringPrintWriter` | `newInstance()`
    `` | `public static FastStringPrintWriter` | `newInstance(int initialChunkSize)`
    `` | `public java.lang.String` | `toString()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class GrailsPrintWriterAdapter` | `append, append, append, append, append, checkError, close, close, flush, flush, getOut, getTarget, handleIOException, isAllowUnwrappingOut, isTrouble, isUsed, leftShift, leftShift, leftShift, markUsed, newInstance, plus, print, print, print, print, print, print, print, print, print, print, print, println, println, println, println, println, println, println, println, println, println, println, resetUsed, setError, setTarget, setUsed, unwrap, write, write, write, write, write, write, write, write`

- - ### Field Detail

    - #### private static final org.slf4j.Logger LOG

    - #### private static org.springframework.objenesis.instantiator.ObjectInstantiator instantiator

    - #### private StreamCharBuffer streamBuffer

  - ### Constructor Detail

    - #### public FastStringPrintWriter()

    - #### public FastStringPrintWriter(int initialChunkSize)

    - #### protected FastStringPrintWriter(java.lang.Object o)

  - ### Method Detail

    - #### public StreamCharBuffer getBuffer()

    - #### public java.io.Reader getReader()

    - #### public java.lang.String getValue()

    - #### public static FastStringPrintWriter newInstance()

    - #### public static FastStringPrintWriter newInstance(int initialChunkSize)

    - #### @java.lang.Override public java.lang.String toString()